libzypp 17.37.10

Random.h File Reference
`#include <string>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::base

## Functions
int | zypp::base::random_int ()
std::string | zypp::base::random_string (int length)
unsigned | zypp::base::random ()
| Return a random number from [0,RAND_MAX[.
unsigned | zypp::base::random (unsigned size_r)
| Return a random number from [0,size_r[.
unsigned | zypp::base::random (unsigned min_r, unsigned size_r)
| Return a random number from [min_r,min_r+size_r[.